package cn.estsh.i3plus.pojo.wms.bean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 	接口类型信息实体
 * @Reference :
 * @Author : amy
 * @CreateDate : 2018-11-01 11:56
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name="T_INTERFACE_TYPE")
@Api("接口类型信息")
public class InterfaceType {

    @Column(name="TP_ID")
    @ApiParam("接口编号")
    private String tpId;

    @Column(name="TP_TYP")
    @ApiParam("接口类型")
    private  String tpTyp;

    @Column(name="PB_NO")
    @ApiParam("发布方编码")
    private  String pbNo;

    @Column(name="TP_NO")
    @ApiParam("接口编码")
    private  String tpNo;

    @Column(name="TP_DESC")
    @ApiParam("接口主题描述")
    private  String tpDesc;

    @Column(name="MES_TAB")
    @ApiParam("接口业务表")
    private  String mesTab;

    @Column(name="MES_GROUP")
    @ApiParam("业务表的分组条件")
    private  String mesGroup;

    @Column(name="MES_PK")
    @ApiParam("业务表主键")
    private  String mesPk;

    @Column(name="ACT_TYPE")
    @ApiParam("业务类型")
    private Integer actType;

    @Column(name="ACT_DESC")
    @ApiParam("业务描述")
    private  String actDesc;

    @Column(name="DEVICE_ID")
    @ApiParam("驱动类编号")
    private  String deviceId;

    @Column(name="REQUEST_URL")
    @ApiParam("服务器请求路径")
    private  String requestUrl;

    @Column(name="CFILE_PATH")
    @ApiParam("客户文件路径")
    private  String cfilePath;

}
